#include <stdio.h>
#include <ctype.h>
#include "args.h"

struct code {
  unsigned char c;
  char *h;
};

struct code code[] = {
  {' ',"    "},
  {'.',"Y83 "},
  {'<',"Y84 "},
  {'(',"Y85 "},
  {'+',"Y86 "},
  {'|',"Y87 "},
  {'&',"Y   "},
  {'!',"Z82 "},
  {'$',"Z83 "},
  {'*',"Z84 "},
  {')',"Z85 "},
  {';',"Z86 "},
  {'-',"Z   "},
  {'/',"01  "},
  {'.',"083 "},
  {'%',"084 "},
  {'_',"085 "},
  {'>',"086 "},
  {'?',"087 "},
  {':',"82  "},
  {'#',"83  "},
  {'@',"84  "},
  {'\'',"85  "},
  {'=',"86  "},
  {'"',"87  "},
  {'A',"Y1  "},
  {'B',"Y2  "},
  {'C',"Y3  "},
  {'D',"Y4  "},
  {'E',"Y5  "},
  {'F',"Y6  "},
  {'G',"Y7  "},
  {'H',"Y8  "},
  {'I',"Y9  "},
  {'J',"Z1  "},
  {'K',"Z2  "},
  {'L',"Z3  "},
  {'M',"Z4  "},
  {'N',"Z5  "},
  {'O',"Z6  "},
  {'P',"Z7  "},
  {'Q',"Z8  "},
  {'R',"Z9  "},
  {'S',"02  "},
  {'T',"03  "},
  {'U',"04  "},
  {'V',"05  "},
  {'W',"06  "},
  {'X',"07  "},
  {'Y',"08  "},
  {'Z',"09  "},
  {'0',"0   "},
  {'1',"1   "},
  {'2',"2   "},
  {'3',"3   "},
  {'4',"4   "},
  {'5',"5   "},
  {'6',"6   "},
  {'7',"7   "},
  {'8',"8   "},
  {'9',"9   "},
  {0,0}	 
};

char line[82];
char crd[81][13];
struct code *tbl[256];
int ncols=77;

main(argc,argv) int argc; char *argv[]; {
  scanargs("w","");
  if(argcount('w')) ncols=80;
  init();
  for(;;) {
    if(!fgets(line,81,stdin)) break;
    new_crd();
    pun_crd();
    out_crd();
  }
}

init() {
  struct code *p,**pp;
  int i;
  
  for(p=code; p->c; p++) tbl[p->c] = p;
}

new_crd() {
  int c,r;

  for(c=0;c<80;c++) {
    for(r=0;r<3;r++)
      crd[c][r] = ' ';
    for(r=3;r<13;r++)
      crd[c][r] = '0'+r-3;
  }
  for(r=0;r<13;r++)
    crd[80][r] = 0;
}

pun_crd() {
  int c,r;
  struct code *p;
  unsigned char ch;
  char *h;

  for(c=0;c<strlen(line);c++) {
    ch = line[c];
    if(ch!='\n') {
      if(islower(ch)) ch = toupper(ch);
      p = tbl[ch];
      if(p) {
	crd[c][0] = ch;
        for(h=p->h;*h;h++) {
	  switch(*h) {
	  case 'Y':
	    crd[c][1]=']';
	    break;
	  case 'Z':
	    crd[c][2]=']';
	    break;
	  case ' ':
	    break;
	    default:
	    crd[c][*h-'0'+3]=' ';
	  }
	}
      }
    }
  }
}

out_crd() {
  int c,r;

  putchar('/');
  for(c=0;c<ncols+1;c++) putchar('-');
  putchar('\n');
  for(r=0;r<13;r++) {
    putchar('|');
    for(c=0;c<ncols;c++) putchar(crd[c][r]);
    putchar('|');
    putchar('\n');
  }
  for(c=0;c<ncols+2;c++) putchar('-');
  putchar('\n');
  putchar('\n');
}
